Subject: Re: [bmwg] I-D ACTION:draft-ietf-bmwg-igp-dataplane-conv-term-14.txt

From: Al Morton <[email-masked]>
Date: Thu, 06 Dec 2007 00:44:36 -0500

I found a few small problems in this one:

>A New Internet-Draft is available from the on-line Internet-Drafts
>directories.
>This draft is a work item of the Benchmarking Methodology Working 
>Group of the IETF.
>
>         Title           : Terminology for Benchmarking Link-State 
> IGP Data Plane Route Convergence
>         Author(s)       : B. Imhoff, S. Poretsky
>         Filename        : draft-ietf-bmwg-igp-dataplane-conv-term-14.txt

Al
(participant)

OLD
    3.3 Network Convergence

         Definition:
         The completion of updating of all routing tables, including
         distributed FIBs, in all routers throughout the network.

         Discussion:
         Network Convergence requires completion of all Route
         Convergenceoperations for all routers in the network following
NEW
         Convergence operations for all routers in the network following

Section 3.12

OLD
         Discussion:
         Rate-Derived Convergence Time should be measured at the maximum
         Throughput of the DUT.  At least one packet per route in the FIB
         for all routes in the FIB MUST be offered to the DUT per second.
NEW
         ...At least one packet per route in the FIB
         for all routes in the FIB MUST be offered to the DUT during each
         second.

Section 3.15

OLD
         Discussion:
         First Prefix Convergence Time should be measured at the maximum
         Throughput of the DUT.  At least one packet per route in the FIB
         for all routes in the FIB MUST be offered to the DUT per second.
NEW
         Discussion:
         First Prefix Convergence Time should be measured at the maximum
         Throughput of the DUT.  At least one packet per route in the FIB
         for all routes in the FIB MUST be offered to the DUT during each
         second.

_______________________________________________
bmwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bmwg

---

From: Al Morton <[email-masked]>
Date: Thu, 06 Dec 2007 01:13:32 -0500

At 12:47 AM 12/6/2007, Poretsky, Scott wrote:
>Are you proposing to replace "per second" with "during each second"?
>
>Scott

Yes, but I mostly want us to say exactly what we mean here
in a simple and clear way.

If what's really meant is:

Packets must be offered to every route in the FIB at a rate of
at least one packet per second.

then just say that.

We can word-smith this more tomorrow,
Al